- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Friends

# QNetworkInterface Class Reference

Search for all occurrences

## Detailed Description

Definition at line 87 of file qnetworkinterface.h.

`#include <qnetworkinterface.h>`

List of all members.

## Public Types
enum | InterfaceFlag { IsUp = 0x1, IsRunning = 0x2, CanBroadcast = 0x4, IsLoopBack = 0x8, IsPointToPoint = 0x10, CanMulticast = 0x20 }
## Public Member Functions
| QNetworkInterface ()
| QNetworkInterface (const QNetworkInterface &other)
QNetworkInterface & | operator= (const QNetworkInterface &other)
| ~QNetworkInterface ()
bool | isValid () const
int | index () const
QString | name () const
QString | humanReadableName () const
InterfaceFlags | flags () const
QString | hardwareAddress () const
QList< QNetworkAddressEntry > | addressEntries () const
## Static Public Member Functions
static QNetworkInterface | interfaceFromName (const QString &name)
static QNetworkInterface | interfaceFromIndex (int index)
static QList< QNetworkInterface > | allInterfaces ()
static QList< QHostAddress > | allAddresses ()
## Friends
class | QNetworkInterfacePrivate

## Member Enumeration Documentation

enum InterfaceFlag

Search for all occurrences

Enumerator:

  IsUp | Search for all occurrences
  IsRunning | Search for all occurrences
  CanBroadcast | Search for all occurrences
  IsLoopBack | Search for all occurrences
  IsPointToPoint | Search for all occurrences
  CanMulticast | Search for all occurrences

Definition at line 90 of file qnetworkinterface.h.

                           {
            IsUp = 0x1,
            IsRunning = 0x2,
            CanBroadcast = 0x4,
            IsLoopBack = 0x8,
            IsPointToPoint = 0x10,
            CanMulticast = 0x20
        };

## Constructor & Destructor Documentation

QNetworkInterface | ( |  | ) |

QNetworkInterface | ( | const QNetworkInterface & | other | ) |

~QNetworkInterface | ( |  | ) |

## Member Function Documentation

QNetworkInterface& operator= | ( | const QNetworkInterface & | other | ) |

bool isValid | ( |  | ) | const

Search for all occurrences

int index | ( |  | ) | const

Search for all occurrences

QString name | ( |  | ) | const

Search for all occurrences

QString humanReadableName | ( |  | ) | const

Search for all occurrences

InterfaceFlags flags | ( |  | ) | const

Search for all occurrences

QString hardwareAddress | ( |  | ) | const

Search for all occurrences

QList<QNetworkAddressEntry> addressEntries | ( |  | ) | const

Search for all occurrences

static QNetworkInterface interfaceFromName | ( | const QString & | name | ) | `[static]`

Search for all occurrences

static QNetworkInterface interfaceFromIndex | ( | int | index | ) | `[static]`

Search for all occurrences

static QList<QNetworkInterface> allInterfaces | ( |  | ) | `[static]`

Search for all occurrences

static QList<QHostAddress> allAddresses | ( |  | ) | `[static]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QNetworkInterfacePrivate `[friend]`

Search for all occurrences

Definition at line 120 of file qnetworkinterface.h.

The documentation for this class was generated from the following file:

- QtNetwork/qnetworkinterface.h

QNetworkInterface QNetworkInterface QNetworkInterface QNetworkInterface QNetworkInterface QNetworkInterface QNetworkInterface QNetworkInterface QNetworkInterface QNetworkInterface
QNetworkInterface QNetworkInterface QNetworkInterface QNetworkInterface QNetworkInterface QNetworkInterface QNetworkInterface QNetworkInterface QNetworkInterface QNetworkInterface